Bug 102215 - rpm program cannot execute
rpm program cannot execute
Product: Red Hat Linux
Classification: Retired
Component: rpm (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnson
Mike McLean
Depends On:
  Show dependency treegraph
Reported: 2003-08-12 13:01 EDT by Need Real Name
Modified: 2007-04-18 12:56 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-08-20 16:29:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2003-08-12 13:01:50 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20020830

Description of problem:
When starting "rpm" after an update to the glibc packages, it would
not run anymore, saying "Speicherzugriffsfehler" (german), which means
"memory access error". Some functions of the rpm program work, however,
for example "rpm -qa". But rpm install/update/erase won't run.

The package updates (using RedHat Update Agent), probably causing the error, are
- glibc-2.3.2-27.9
- glibc-common-2.3.2-27.9
- glibc-devel-2.3.2-4.80.6

The former installed versions were

Is there are way to reinstall the rpm package ? Or another repair
alternative ?

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.type in at prompt: rpm [CR]

Actual Results:  the error message described above.

Expected Results:  listing of the rpm help text

Additional info:
Comment 1 Jeff Johnson 2003-08-20 16:29:48 EDT
Sure you can reinstall rpm manually, as long as you have functional

Assuming rpm packages downloaded into /var/tmp, do the following as root:
    mkdir -p /var/tmp/xxx
    cd /var/tmp/xxx
    for i in ../*.rpm; do
        /usr/lib/rpm/rpm2cpio.sh $i | cpio -dim
    find . -type d -exec chmod 0755 {} \;
    tar cf - . | (cd /; tar xvf -)

You might try /bin/rpm first, as the executable is statically linked
in rpm-4.1.x (not true anymore, NPTL and TLS make static linking
too expensive to distribute a statically linked binary, static
link must be redone each and every time glibc changes.)
Comment 2 Jeff Johnson 2003-08-20 16:30:39 EDT
Oh yes, you might try
    rm -f /var/lib/rpm/__db*
to remove stale locks.

Note You need to log in before you can comment on or make changes to this bug.